
"""
fom.session
~~~~~~~~~~~

Combining a db instance with an API.

"""

from fom.api import FluidApi
from fom.db import FluidDB, BASE_URL


class Fluid(FluidApi):
    """A fluiddb session.
    """

    def __init__(self, base_url=BASE_URL):
        FluidApi.__init__(self, FluidDB(base_url))

    def bind(self):
        # this is particularly nasty
        Fluid.bound = self

    def login(self, username, password):
        return self.db.login(username, password)

    def logout(self):
        return self.db.logout()




